// THIS FILE IS AUTO GENERATED BY GK-CLI DO NOT EDIT!!
package grpc

import (
	grpc "github.com/go-kit/kit/transport/grpc"
	endpoint "license-control/control/pkg/endpoint"
	pb "license-control/control/pkg/grpc/pb"
)

// NewGRPCServer makes a set of endpoints available as a gRPC AddServer
type grpcServer struct {
	api              grpc.Handler
	root             grpc.Handler
	license          grpc.Handler
	keepAliveControl grpc.Handler
}

func NewGRPCServer(endpoints endpoint.Endpoints, options map[string][]grpc.ServerOption) pb.ControlServer {
	return &grpcServer{
		api:              makeApiHandler(endpoints, options["Api"]),
		keepAliveControl: makeKeepAliveControlHandler(endpoints, options["KeepAliveControl"]),
		license:          makeLicenseHandler(endpoints, options["License"]),
		root:             makeRootHandler(endpoints, options["Root"]),
	}
}
